#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './searchdlg_layout.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchdlg_layout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qtoolbutton.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kwidgetlistbox.h"
#include "kpushbutton.h"
#include "kcombobox.h"
#include "klineedit.h"
#include "./searchdlg_layout.ui.h"

/*
 *  Constructs a HitsLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HitsLayout::HitsLayout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "HitsLayout" );
    setMinimumSize( QSize( 0, 0 ) );
    HitsLayoutLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "HitsLayoutLayout"); 

    tableHits = new KWidgetListbox( this, "tableHits" );
    tableHits->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, tableHits->sizePolicy().hasHeightForWidth() ) );
    tableHits->setMinimumSize( QSize( 480, 440 ) );
    tableHits->setFocusPolicy( KWidgetListbox::StrongFocus );

    HitsLayoutLayout->addWidget( tableHits, 1, 0 );

    layout8 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout8"); 

    buttonClear = new KPushButton( this, "buttonClear" );
    buttonClear->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, buttonClear->sizePolicy().hasHeightForWidth() ) );
    buttonClear->setMinimumSize( QSize( 24, 24 ) );
    buttonClear->setProperty( "stdItem", 10 );
    layout8->addWidget( buttonClear );

    labelSearch = new QLabel( this, "labelSearch" );
    layout8->addWidget( labelSearch );

    editSearch = new KHistoryCombo( this, "editSearch" );
    editSearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, editSearch->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( editSearch );

    buttonFind = new QToolButton( this, "buttonFind" );
    buttonFind->setEnabled( FALSE );
    buttonFind->setMinimumSize( QSize( 0, 0 ) );
    buttonFind->setAutoRaise( TRUE );
    layout8->addWidget( buttonFind );

    m_searchPixmap = new QLabel( this, "m_searchPixmap" );
    m_searchPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, m_searchPixmap->sizePolicy().hasHeightForWidth() ) );
    m_searchPixmap->setMinimumSize( QSize( 32, 32 ) );
    m_searchPixmap->setMaximumSize( QSize( 32, 32 ) );
    m_searchPixmap->setBackgroundMode( QLabel::PaletteBackground );
    m_searchPixmap->setBackgroundOrigin( QLabel::ParentOrigin );
    m_searchPixmap->setScaledContents( TRUE );
    layout8->addWidget( m_searchPixmap );

    HitsLayoutLayout->addMultiCellLayout( layout8, 0, 0, 0, 1 );

    layout5 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout5"); 

    labelStatus = new QLabel( this, "labelStatus" );
    labelStatus->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, labelStatus->sizePolicy().hasHeightForWidth() ) );
    labelStatus->setAlignment( int( QLabel::AlignVCenter ) );
    layout5->addWidget( labelStatus );
    spacer = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout5->addItem( spacer );

    buttonPrevious = new KPushButton( this, "buttonPrevious" );
    buttonPrevious->setEnabled( FALSE );
    buttonPrevious->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonPrevious->sizePolicy().hasHeightForWidth() ) );
    buttonPrevious->setMinimumSize( QSize( 0, 0 ) );
    buttonPrevious->setProperty( "stdItem", 14 );
    layout5->addWidget( buttonPrevious );

    buttonNext = new KPushButton( this, "buttonNext" );
    buttonNext->setEnabled( FALSE );
    buttonNext->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonNext->sizePolicy().hasHeightForWidth() ) );
    buttonNext->setMinimumSize( QSize( 0, 0 ) );
    buttonNext->setProperty( "stdItem", 15 );
    layout5->addWidget( buttonNext );

    HitsLayoutLayout->addLayout( layout5, 2, 0 );

    layout4 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout4"); 

    frame3 = new QFrame( this, "frame3" );
    frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, frame3->sizePolicy().hasHeightForWidth() ) );
    frame3->setFrameShape( QFrame::NoFrame );
    frame3->setFrameShadow( QFrame::Plain );
    frame3Layout = new QVBoxLayout( frame3, KDialog::marginHint(), KDialog::spacingHint(), "frame3Layout"); 

    textLabel1_3 = new QLabel( frame3, "textLabel1_3" );
    QFont textLabel1_3_font(  textLabel1_3->font() );
    textLabel1_3_font.setPointSize( 10 );
    textLabel1_3->setFont( textLabel1_3_font ); 
    frame3Layout->addWidget( textLabel1_3 );

    line2_3 = new QFrame( frame3, "line2_3" );
    line2_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, line2_3->sizePolicy().hasHeightForWidth() ) );
    line2_3->setMinimumSize( QSize( 40, 0 ) );
    line2_3->setFrameShape( QFrame::HLine );
    line2_3->setFrameShadow( QFrame::Sunken );
    line2_3->setFrameShape( QFrame::HLine );
    frame3Layout->addWidget( line2_3 );

    showEverything = new QLabel( frame3, "showEverything" );
    QFont showEverything_font(  showEverything->font() );
    showEverything_font.setBold( TRUE );
    showEverything->setFont( showEverything_font ); 
    showEverything->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showEverything );

    showApplications = new QLabel( frame3, "showApplications" );
    showApplications->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showApplications );

    showContacts = new QLabel( frame3, "showContacts" );
    showContacts->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showContacts );

    showDocuments = new QLabel( frame3, "showDocuments" );
    showDocuments->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showDocuments );

    showConversations = new QLabel( frame3, "showConversations" );
    showConversations->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showConversations );

    showImages = new QLabel( frame3, "showImages" );
    showImages->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showImages );

    showMedia = new QLabel( frame3, "showMedia" );
    showMedia->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showMedia );

    showWebPages = new QLabel( frame3, "showWebPages" );
    showWebPages->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showWebPages );

    showFilePathName = new QLabel( frame3, "showFilePathName" );
    showFilePathName->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showFilePathName );
    spacer4_2_2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Fixed );
    frame3Layout->addItem( spacer4_2_2 );

    textLabel1_2 = new QLabel( frame3, "textLabel1_2" );
    QFont textLabel1_2_font(  textLabel1_2->font() );
    textLabel1_2_font.setPointSize( 10 );
    textLabel1_2->setFont( textLabel1_2_font ); 
    frame3Layout->addWidget( textLabel1_2 );

    line2_2 = new QFrame( frame3, "line2_2" );
    line2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, line2_2->sizePolicy().hasHeightForWidth() ) );
    line2_2->setMinimumSize( QSize( 40, 0 ) );
    line2_2->setFrameShape( QFrame::HLine );
    line2_2->setFrameShadow( QFrame::Sunken );
    line2_2->setFrameShape( QFrame::HLine );
    frame3Layout->addWidget( line2_2 );

    sortByType = new QLabel( frame3, "sortByType" );
    QFont sortByType_font(  sortByType->font() );
    sortByType_font.setBold( TRUE );
    sortByType->setFont( sortByType_font ); 
    sortByType->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( sortByType );

    sortByDate = new QLabel( frame3, "sortByDate" );
    sortByDate->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( sortByDate );

    sortByName = new QLabel( frame3, "sortByName" );
    sortByName->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    frame3Layout->addWidget( sortByName );

    sortByRelevance = new QLabel( frame3, "sortByRelevance" );
    sortByRelevance->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( sortByRelevance );
    spacer4 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Fixed );
    frame3Layout->addItem( spacer4 );

    textLabel1 = new QLabel( frame3, "textLabel1" );
    QFont textLabel1_font(  textLabel1->font() );
    textLabel1_font.setPointSize( 10 );
    textLabel1->setFont( textLabel1_font ); 
    frame3Layout->addWidget( textLabel1 );

    line2 = new QFrame( frame3, "line2" );
    line2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, line2->sizePolicy().hasHeightForWidth() ) );
    line2->setMinimumSize( QSize( 40, 0 ) );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );
    frame3Layout->addWidget( line2 );

    showAnyDate = new QLabel( frame3, "showAnyDate" );
    QFont showAnyDate_font(  showAnyDate->font() );
    showAnyDate_font.setBold( TRUE );
    showAnyDate->setFont( showAnyDate_font ); 
    showAnyDate->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showAnyDate );

    showToday = new QLabel( frame3, "showToday" );
    showToday->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showToday );

    showSinceYesterday = new QLabel( frame3, "showSinceYesterday" );
    showSinceYesterday->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showSinceYesterday );

    showThisWeek = new QLabel( frame3, "showThisWeek" );
    showThisWeek->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showThisWeek );

    showThisMonth = new QLabel( frame3, "showThisMonth" );
    showThisMonth->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showThisMonth );

    showThisYear = new QLabel( frame3, "showThisYear" );
    showThisYear->setAlignment( int( QLabel::AlignVCenter ) );
    frame3Layout->addWidget( showThisYear );
    spacer3 = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    frame3Layout->addItem( spacer3 );
    layout4->addWidget( frame3 );

    layout3 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 
    spacer_2 = new QSpacerItem( 0, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout3->addItem( spacer_2 );

    buttonConfigure = new KPushButton( this, "buttonConfigure" );
    buttonConfigure->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonConfigure->sizePolicy().hasHeightForWidth() ) );
    buttonConfigure->setMinimumSize( QSize( 0, 0 ) );
    layout3->addWidget( buttonConfigure );

    buttonClose = new KPushButton( this, "buttonClose" );
    buttonClose->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, buttonClose->sizePolicy().hasHeightForWidth() ) );
    buttonClose->setMinimumSize( QSize( 0, 0 ) );
    buttonClose->setProperty( "stdItem", 13 );
    layout3->addWidget( buttonClose );
    layout4->addLayout( layout3 );

    HitsLayoutLayout->addMultiCellLayout( layout4, 1, 2, 1, 1 );
    languageChange();
    resize( QSize(942, 898).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonClose, SIGNAL( clicked() ), this, SLOT( close() ) );

    // tab order
    setTabOrder( buttonClear, editSearch );
    setTabOrder( editSearch, buttonFind );
    setTabOrder( buttonFind, tableHits );
    setTabOrder( tableHits, buttonPrevious );
    setTabOrder( buttonPrevious, buttonNext );
    setTabOrder( buttonNext, buttonClose );

    // buddies
    labelSearch->setBuddy( editSearch );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HitsLayout::~HitsLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HitsLayout::languageChange()
{
    setCaption( tr2i18n( "Kerry Beagle Search" ) );
    buttonClear->setText( QString::null );
    QToolTip::add( buttonClear, tr2i18n( "Clear the search term and results" ) );
    labelSearch->setText( tr2i18n( "&Search:" ) );
    buttonFind->setText( QString::null );
    QToolTip::add( buttonFind, tr2i18n( "Start the search for entered term" ) );
    labelStatus->setText( tr2i18n( "Results <b>%1 through %2 of %3</b> are shown." ) );
    buttonPrevious->setText( tr2i18n( "&Previous Results" ) );
    QToolTip::add( buttonPrevious, tr2i18n( "Show the previous search results" ) );
    buttonNext->setText( tr2i18n( "&Next Results" ) );
    QToolTip::add( buttonNext, tr2i18n( "Show the next search results" ) );
    textLabel1_3->setText( tr2i18n( "Show" ) );
    showEverything->setText( tr2i18n( "Everything" ) );
    showApplications->setText( tr2i18n( "Applications" ) );
    showContacts->setText( tr2i18n( "Contacts" ) );
    showDocuments->setText( tr2i18n( "Office Documents" ) );
    showConversations->setText( tr2i18n( "Conversations" ) );
    showImages->setText( tr2i18n( "Images" ) );
    showMedia->setText( tr2i18n( "Media" ) );
    showWebPages->setText( tr2i18n( "Web Pages" ) );
    showFilePathName->setText( tr2i18n( "File/Path Name" ) );
    textLabel1_2->setText( tr2i18n( "Sort By" ) );
    sortByType->setText( tr2i18n( "Type" ) );
    sortByDate->setText( tr2i18n( "Date" ) );
    sortByName->setText( tr2i18n( "Name" ) );
    sortByRelevance->setText( tr2i18n( "Relevance" ) );
    textLabel1->setText( tr2i18n( "Last Modified" ) );
    showAnyDate->setText( tr2i18n( "Any Date" ) );
    showToday->setText( tr2i18n( "Today" ) );
    showSinceYesterday->setText( tr2i18n( "Since Yesterday" ) );
    showThisWeek->setText( tr2i18n( "This Week" ) );
    showThisMonth->setText( tr2i18n( "This Month" ) );
    showThisYear->setText( tr2i18n( "This Year" ) );
    buttonConfigure->setText( tr2i18n( "Confi&gure..." ) );
    QToolTip::add( buttonConfigure, tr2i18n( "Open the configuration dialog" ) );
    buttonClose->setText( tr2i18n( "&Close" ) );
    QToolTip::add( buttonClose, tr2i18n( "Close the search dialog, an icon will stay in the system tray" ) );
}

#include "searchdlg_layout.moc"
